Get All Issue Comments In Repository
GET/api/v5/repos/:owner/:repo/issues/comments
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
User authorization code
sort string
Sort by field, supports 'created' or 'updated'. Default: 'created'.
direction string
Sort direction, supports asc/desc
since string
Please translate the following content into professional English, keeping the format unchanged. If the content is empty, do not translate it. Do not output anything else or any prompts! It will only return comments updated at this time or later. For example: 2024-11-20T13:00:21%2B08:00 (note that the + sign should be URL encoded as %2B)
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
idinteger
bodystring
user object
avatar_urlstring
events_urlnull
followers_urlnull
following_urlnull
gists_urlnull
html_urlstring
idstring
loginstring
member_rolenull
namestring
organizations_urlnull
received_events_urlnull
remarknull
repos_urlnull
starred_urlnull
subscriptions_urlnull
typenull
urlnull
target object
issue object
idinteger
titlestring
nubmerinteger
created_atstring
updated_atnull
[
{
"id": 0,
"body": "string",
"user": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string"
},
"target": {
"issue": {
"id": 0,
"title": "string",
"nubmer": 0
}
},
"created_at": "string"
}
]
{
"id": 272201,
"body": "daetete",
"user": {
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"events_url": null,
"followers_url": null,
"following_url": null,
"gists_url": null,
"html_url": "https://test.gitcode.net/dengmengmian",
"id": "661ce4eab470b1430d456154",
"login": "dengmengmian",
"member_role": null,
"name": "MaFan_",
"organizations_url": null,
"received_events_url": null,
"remark": null,
"repos_url": null,
"starred_url": null,
"subscriptions_url": null,
"type": null,
"url": null
},
"target": {
"issue": {
"id": 152642,
"title": "half month data",
"nubmer": 15
}
},
"created_at": "2024-04-20T15:20:30.104+08:00",
"updated_at": null
}